Skip to content
This repository
branch: master
Fetching contributors…

Cannot retrieve contributors at this time

file 79 lines (75 sloc) 2.368 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{kronos}
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["David James"]
  s.date = %q{2010-12-18}
  s.description = %q{Kronos provides flexible date parsing. Currently just a thin layer on top of ParseDate.}
  s.email = %q{djames@sunlightfoundation.com}
  s.extra_rdoc_files = [
    "LICENSE",
    "README.md"
  ]
  s.files = [
    ".bundle/config",
    ".document",
    "FORMATS.md",
    "Gemfile",
    "Gemfile.lock",
    "LICENSE",
    "NOTES.md",
    "README.md",
    "Rakefile",
    "kronos.gemspec",
    "lib/kronos.rb",
    "lib/version.rb",
    "spec/compare_spec.rb",
    "spec/errors_spec.rb",
    "spec/from_hash_spec.rb",
    "spec/parse_spec.rb",
    "spec/spec.opts",
    "spec/spec_helper.rb",
    "spec/to_hash_spec.rb",
    "spec/to_s_spec.rb",
    "spec/valid_spec.rb"
  ]
  s.homepage = %q{http://github.com/djsun/kronos}
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{kronos}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Simple and flexible date parsing.}
  s.test_files = [
    "spec/compare_spec.rb",
    "spec/errors_spec.rb",
    "spec/from_hash_spec.rb",
    "spec/parse_spec.rb",
    "spec/spec_helper.rb",
    "spec/to_hash_spec.rb",
    "spec/to_s_spec.rb",
    "spec/valid_spec.rb"
  ]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<kronos>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.2"])
      s.add_development_dependency(%q<rspec>, ["~> 2.3"])
      s.add_development_dependency(%q<jeweler>, ["~> 1.5"])
    else
      s.add_dependency(%q<kronos>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 2.2"])
      s.add_dependency(%q<rspec>, ["~> 2.3"])
      s.add_dependency(%q<jeweler>, ["~> 1.5"])
    end
  else
    s.add_dependency(%q<kronos>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 2.2"])
    s.add_dependency(%q<rspec>, ["~> 2.3"])
    s.add_dependency(%q<jeweler>, ["~> 1.5"])
  end
end
Something went wrong with that request. Please try again.